System.Compression
Compression and checksums: Deflate (RFC 1951, the compression of zip files and PNG images), the containers
Zlib (RFC 1950) and Gzip (RFC 1952), and the checksums Crc32 and Adler32.
| Type | Description |
|---|---|
Crc32 |
The CRC-32 checksum of zip, gzip and PNG (the polynomial 0xEDB88320, reflected). |
Adler32 |
The Adler-32 checksum of zlib. |
Deflate |
Raw deflate data (RFC 1951) without a container: the format of the entries of zip files. |
Zlib |
Deflate data in the zlib container (RFC 1950): a 2-byte header, the data and the Adler-32 checksum. |
Gzip |
Deflate data in the gzip container (RFC 1952, .gz files): a header, the data, its CRC-32 and its length. |
CompressionError |
The errors of decompressing (Deflate.Decompress, Zlib.Decompress, Gzip.Decompress). |